/* You can add global styles to this file, and also import other style files */

@import "assets/custom/fonts";
@import "assets/custom/functions";
@import "assets/custom/variables";
@import "assets/custom/mixins";
/*@import "assets/custom/root";*/
@import "assets/custom/reboot";
/*@import "assets/custom/type";*/
/*@import "assets/custom/images";*/
/*@import "assets/custom/code";*/
@import "assets/custom/grid";
/*@import "assets/custom/tables";*/
@import "assets/custom/forms";
@import "assets/custom/buttons";
/*@import "assets/custom/transitions";*/
@import "assets/custom/dropdown";
/*@import "assets/custom/button-group";*/
/*@import "assets/custom/input-group";*/
/*@import "assets/custom/custom-forms";*/
@import "assets/custom/nav";
/*@import "assets/custom/navbar";*/
/*@import "assets/custom/card";*/
/*@import "assets/custom/breadcrumb";*/
/*@import "assets/custom/pagination";*/
/*@import "assets/custom/badge";*/
/*@import "assets/custom/jumbotron";*/
/*@import "assets/custom/alert";*/
/*@import "assets/custom/progress";*/
/*@import "assets/custom/media";*/
/*@import "assets/custom/list-group";*/
/*@import "assets/custom/close";*/
/*@import "assets/custom/modal";*/
/*@import "assets/custom/tooltip";*/
/*@import "assets/custom/popover";*/
/*@import "assets/custom/carousel";*/
@import "assets/custom/utilities";
@import '@angular/material/prebuilt-themes/indigo-pink.css';

:root {
  //-ms-overflow-style: -ms-autohiding-scrollbar; // gives IE the overlay style
   margin-left: calc(100vw - 100%);
}

.navbar {
  /* UNCOMMENT IF COWS LOGO IS REMOVED */
  /*padding: 20px 10px 19px;*/
}

.input-group-append {
  > button {
    font-size: 1rem;
    border-radius: 0;

    &:not(:first-child) {
      border-left: 1px solid #fff;
    }

    &:not(:last-child) {
      border-right: 1px solid #fff;
    }

    &:last-child {
      border-top-right-radius: $border-radius;
      border-bottom-right-radius: $border-radius;
    }
  }
}

/* ---------------------------------------------------
    SMALLER FORM STYLE
----------------------------------------------------- */
.form-group {
  &.form-group-sm {
    margin-bottom: 0.25rem;
    color: $black;

    label {
      margin-bottom: 0.25rem;
      font-size: $font-size-sm;
      padding-top: calc(#{$input-padding-y-sm} + #{$input-border-width});
      padding-bottom: calc(#{$input-padding-y-sm} + #{$input-border-width});


      &.col-form-label {
        margin-bottom: 0;
        padding-right: 0.25rem;
        padding-top: calc(#{$input-padding-y-sm} + #{$input-border-width});
        padding-bottom: calc(#{$input-padding-y-sm} + #{$input-border-width});
        font-weight: bolder;
      }
    }

    .form-text {
      font-size: $font-size-sm;
    }

    .input-group-append {
      > button {
        font-size: $font-size-sm;
      }
    }

    .dx-texteditor-input-container {
      input {
        height: $input-height-sm;
        min-height: $input-height-sm;
        padding: $input-padding-y-sm $input-padding-x-sm;
        font-size: $font-size-sm !important;
        line-height: $input-line-height-sm;
        @include border-radius($input-border-radius-sm);
      }

      .dx-placeholder {
        padding: $input-padding-y-sm $input-padding-x-sm;

        &:before {
          font-size: $font-size-sm;
          padding: 2px 0px 0px;
          vertical-align: inherit;
        }
      }

      &.dx-tag-container {
        padding: 0px;

        .dx-tag-content {
          margin: 3px 0px 0px 3px;
          padding: 2px 25px 2px 4px;

          span {
            font-size: $font-size-sm;
          }
        }
      }
    }

    .dx-checkbox {
      width: 100%;
      color: $black;

      .dx-checkbox-container {
        .dx-checkbox-icon {
          width: 15px;
          height: 15px;

          &:before {
            font-size: 10px;
          }
        }

        .dx-checkbox-text {
          font-size: $font-size-sm;
        }
      }
    }

    .dx-radiobutton {
      color: $black;

      .dx-radio-value-container {
        .dx-radiobutton-icon {

          &:before {
            /*display: block;
            width: 15px;
            height: 15px;*/
          }
        }
      }

      .dx-item-content {
        font-size: $font-size-sm;
      }
    }
  }
}

.dx-edit-row {
  .dx-texteditor-input-container {
    input {
      height: $input-height-sm;
      min-height: $input-height-sm !important;
      padding: $input-padding-y-sm $input-padding-x-sm !important;
      font-size: $font-size-sm !important;
      line-height: $input-line-height-sm;
      @include border-radius($input-border-radius-sm);
    }

    .dx-placeholder {
      padding: $input-padding-y-sm $input-padding-x-sm;

      &:before {
        font-size: $font-size-sm;
        padding: 2px 0px 0px;
        vertical-align: inherit;
      }
    }

    &.dx-tag-container {
      padding: 0px;

      .dx-tag-content {
        margin: 3px 0px 0px 3px;
        padding: 2px 25px 2px 4px;

        span {
          font-size: $font-size-sm;
        }
      }
    }
  }

  .dx-field-item-label {
    font-size: $font-size-sm !important;
  }

  .dx-checkbox {
    width: 100%;
    color: $black;

    .dx-checkbox-container {
      .dx-checkbox-icon {
        width: 15px;
        height: 15px;

        &:before {
          font-size: 10px;
        }
      }

      .dx-checkbox-text {
        font-size: $font-size-sm;
      }
    }
  }
}

/* ---------------------------------------------------
  PANEL STYLE
----------------------------------------------------- */
.mat-expansion-panel-header-title{
  h6 {
    margin-bottom: 0
  }
}

.dx-treelist {
  .dx-row {
    > td {
      padding: 0.15rem 0.35rem 0.35rem;
      font-size: $font-size-sm;
      color: $black;
    }
  }

  .dx-treelist-headers {
    color: $black;
    border-bottom: 1px solid transparent;
    // user-select: all;
    > .dx-treelist-content {
      margin-bottom: -2px;

      td {
        padding: 0.5rem 0.35rem 0.5rem;
        background-color: #e6e6e6;
        border-color: $white;
        font-weight: bold;
      }
    }
  }
}

/* ---------------------------------------------------
    TABLE STYLE
----------------------------------------------------- */
.dx-datagrid {
  .dx-row {
    > td {
      padding: 0.15rem 0.35rem 0.35rem;
      font-size: $font-size-sm;
      color: $black;
    }
  }

  .dx-datagrid-headers {
    color: $black;
    border-bottom: 1px solid transparent;
    // user-select: all;
    > .dx-datagrid-content {
      margin-bottom: -2px;

      td {
        padding: 0.5rem 0.35rem 0.5rem;
        background-color: #e6e6e6;
        border-color: $white;
        font-weight: bold;
      }
    }
  }

  .dx-datagrid-rowsview {
    .dx-row {
      &:not(.dx-edit-row) {
        &.redesign-pending {
          > td {
            color: $red;
          }
        }

        &:hover {
          > td {
            background-color: $primary;
            color: $white;
          }
        }

        &.dx-selection {
          > td {
            background-color: $primary !important;
            color: $white;
          }
        }
      }
    }
  }
}

/*.dx-header-row {
  font-weight: bold;
}*/

.dx-freespace-row {
  height: 0px !important;
}

.dx-data-row td {
  text-align: left;
}

.dx-row td {
  /*&.dx-command-edit,*/
  .dx-checkbox-container,
  .dx-checkbox-icon {
    text-align: center !important;
  }

  .dx-checkbox.dx-state-readonly .dx-checkbox-icon {
    border-color: #f4f4f4;
    background-color: #e9ecef;
    opacity: 1;
  }
}

.dx-datagrid-rowsview .disabled-cell {
  background-color: $input-disabled-bg;
  opacity: 1;
}

.dx-datagrid-rowsview .dx-data-row .dx-validator.dx-datagrid-invalid .dx-highlight-outline::after {
  border: 2px solid $danger;
  font-weight: bold;
}

/*.dx-datagrid-rowsview .dx-row > td, .dx-datagrid-rowsview .dx-row > tr > td {
  background-color: green;
}*/

/*.dx-datagrid .dx-row-alt > td, .dx-datagrid .dx-row-alt > tr > td {
  //background-color: rgba($black, .075);
  background-color: $white;
}*/ 
/* ---------------------------------------------------
    SIDEBAR STYLE
----------------------------------------------------- */
#sidebar {
  margin-left: -250px;
  width: 250px;
  position: fixed;
  top: 0;
  left: 0;
  height: 100vh;
  z-index: 2;
  background: $gray-900;
  color: $white;
  transition: all 0.3s;

  &.collapsed {
    margin-left: 0px !important;
  }

  .sidebar-header {
    padding: .75rem;
  }

  .sidebar-menu {
    overflow-y: auto;
    /* DEPENDENT ON HEIGHT OF NAV HEADER */
    max-height: -webkit-calc(100vh - 85px);
    max-height: -moz-calc(100vh - 85px);
    max-height: -o-calc(100vh - 85px);
    max-height: calc(100vh - 85px);
  }

  a {
    color: inherit;
    text-decoration: none;
    transition: all 0.3s;

    &:hover,
    &:focus {
      color: inherit;
      text-decoration: none;
      transition: all 0.3s;
    }

    &[data-toggle="collapse"] {
      position: relative;
    }

    &[aria-expanded]::before {
      display: block;
      position: absolute;
      right: 20px;
      font-family: 'FontAwesome';
      font-size: 1em;
    }

    &[aria-expanded="true"]::before {
      content: '\f0d8';
    }

    &[aria-expanded="false"]::before {
      content: '\f0d7';
    }
  }

  ul {
    &.components {
      padding: 20px 0;

      ul a {
        font-size: 1em !important;
        padding-left: 30px !important;
        background-color: $gray-800;
      }
    }

    li {
      a {
        padding: 10px;
        font-size: 1em;
        display: block;
      }

      a:hover,
      &.active > a {
        color: $secondary;
        background: $primary;
      }
    }
  }
}

/* ---------------------------------------------------
    CONTENT STYLE
----------------------------------------------------- */
#content {
  width: calc(100% - 250px);
  width: -moz-calc(100% - 250px);
  width: -webkit-calc(100% - 250px);
  width: -o-calc(100% - 250px);
  padding: 0px;
  min-height: 100vh;
  transition: all 0.3s;
  position: absolute;
  top: 0;
  right: 0;
  padding-bottom: 1rem;
}

#content.collapsed {
  width: 100%;
}

/* ---------------------------------------------------
    MEDIAQUERIES
----------------------------------------------------- */
@media (min-width: 992px) {
  label.col-form-label {
    text-align: right;
  }
}


/* ---------------------------------------------------
    BREADCRUMBS
----------------------------------------------------- */
#breadcrumbs {
  /*padding-left: 2rem;
  margin: 0;*/
  /*margin-top: 1rem;*/
  /*padding-top: 0.5rem;*/
  /*padding-bottom: 0.5rem;*/
  /*border-left: 0.25rem $primary solid;*/
  
}

#breadcrumbs > li {
  display: inline-block;
  
}
#breadcrumbs > li + li:before {
  
  content: "/";
}
#breadcrumbs > li:not(:first-child):before {
  content: "/";
  //color:$blue;
  color: #000000;
  text-indent: -5px;
  padding-left: 0.5rem;
  padding-right: 0.5rem;
}

/* ---------------------------------------------------
    NAVBAR
----------------------------------------------------- */
.nav-option {
  margin: 0px !important;
  padding: 0px !important;
  list-style-type: none;

  & > li {
    font-size: 1.5rem;
    display: inline-block;
  }

  & > li:not(:first-child) {
    margin-left: 4px;
  }
}

.nav-menu {
  ul {
    background-color: $gray-900;

    &.components {
      padding: 0 15px;

      li {
        padding: 10px 0;

        a {
          color: $white;
          text-decoration: none;
          padding: 0 15px;
          display: block;
        }

        &:hover {
          cursor: pointer
        }

        &:hover,
        &.active {
          background-color: $primary;

          > a {
            color: $secondary;
          }
        }
      }

      > li {
        display: inline-block;

        > ul {
          width: 100%;
          z-index: 2;
          margin-top: 10px;
          background: $gray-800;
          position: absolute;
          left: 0;

          > li {
            display: inline-block;
          }
        }
      }
    }
  }
}

.dropdown {
  .dropdown-item {
    &:hover,
    &.active,
    &:active {
      border-left: 1px solid transparent;
      border-right: 1px solid transparent;
    }

    &:hover {
      cursor: pointer;
      background-color: $primary;
    }
  }
}

/* ---------------------------------------------------
    FOOTER
----------------------------------------------------- */
footer {
  background-color: $gray-900;
  color: $white;
  margin-top: 50px;
  padding: 10px 0px;

  a {
    color: $white;
    text-decoration: none;
    padding: 0 15px;
    cursor: pointer;

    &:hover,
    &.active {
      color: $primary;
    }
  }
}

/* ---------------------------------------------------
    DEFAULT BUTTON
----------------------------------------------------- */
button {
  &.no-background,
  &.no-background:hover,
  &.no-background:focus,
  &.no-background:active {
    background-color: transparent !important;
  }

  &.no-border,
  &.no-border:hover,
  &.no-border:focus,
  &.no-border:active {
    border: 0px !important;
  }

  &.no-shadow,
  &.no-shadow:hover,
  &.no-shadow:focus,
  &.no-shadow:active {
    box-shadow: none !important;
  }
}

.v-align-middle {
  display: inline-block;
  vertical-align: middle;
}

.v-align-middle:before {
  content: "";
  /*display: inline-block;*/
  vertical-align: middle;
  height: 100%;
}

dd {
  margin-bottom: 0;
}

/* ---------------------------------------------------
    OVERRIDE
----------------------------------------------------- */
.custom-file-label {
  height: calc(1.5em + .5rem + 2px) !important;
}

.custom-file-label::after {
  height: auto !important;
}

.form-row {
  &.form-compressed {
    .form-group {
      > label {
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        display: block;
      }

      margin-bottom: ($spacer * .25);
    }

    /*margin-bottom: $spacer;*/
  }
}

.form-group {
  &.inline {
    > :not(:last-child) {
      margin-bottom: ($spacer * .5);
    }
  }

  &.row {
    margin-left: 0px;
    margin-right: 0px;

    > label {
      padding-left: 0px;
    }

    /*> div {
      & .col,
      & [class*="col-"] {
        padding-right: ($spacer * .25);
      }
    }*/
  }
}
.black-overlay {
  position: fixed !important; // NGX-SPINNER to cover whole page
}
.dx-widget {
  font-family: $font-family-base !important;
  font-size: $font-size-base !important;

  input {
    /*height: calc(2.25rem + 2px);*/
    font-family: $font-family-base !important;
    font-size: $font-size-base !important;
  }
}
/*.dx-invalid-message.dx-overlay-wrapper {
  visibility: visible;
}*/

.mat-expansion-panel {

  .mat-expansion-panel-header {
    font-family: $font-family-base !important;
    font-size: 1.25rem;
    font-weight: 500;
    line-height: 1.2;
    color: inherit;
  }

  .mat-expansion-panel-header .small-header {
    font-family: $font-family-base !important;
    font-size: $font-size-base !important;
    font-weight: 500;
  }

  .mat-expansion-panel-content {
    font-family: $font-family-base !important;
    font-size: $font-size-sm !important;

    .mat-expansion-panel-body {
      padding: 0.5rem;
    }
  }
}

.checkbox-column {
  display: inline-block;
  vertical-align: top;
  width: 33%;
  padding: 5px;
}

.css-table {
  width: 100%;
  column-count: 6;
  -moz-column-count: 6;
}

.css-table .table-col {
  border-top: none;
  break-inside: avoid;
  padding: 5px;
}

.css-table .table-col:nth-child(even) {
  background: #ccc;
}

.css-table .table-col:nth-child(odd) {
  background: #eee;
}

/* This will make the dxRadioGroup appear horizontally */
div.horizontalList {
  column-count: 3;
  -moz-column-count: 3;
}
div.horizontalList .dx-item {
  border-top: none;
  break-inside: avoid;
  padding: 5px;
}

div.horizontalList .dx-item:last-of-type {
  border: none;
}

.border-checkbox-list {
  border: 1px solid #ced4da; //1px solid rgba(0,0,0,.125);
  border-radius: .25rem;
}

.hyperlink {
  cursor: pointer !important;
  color: blue !important;
  text-decoration: underline !important;
}

.checked-in-row {
  background: #f6bdbd !important;
}

/*.redesign-pending {
  > td {
    color: #f00 !important;
  }
}*/

/* Form enhancements to mimic bootstrap for Devextreme components */
/* SELECT BOX, TAG BOX, DATE BOX */
dx-select-box,
dx-tag-box,
dx-date-box {
  &.dx-widget {
    &.dx-texteditor {
      &.dx-editor-outlined {
        border: $input-border-width solid $input-border-color;
      }
    }

    &.dx-state-focused {
      color: $input-focus-color;
      background-color: $input-focus-bg;
      border-color: $input-focus-border-color !important;
      outline: 0;
      // Avoid using mixin so we can pass custom focus shadow properly
      @if $enable-shadows {
        box-shadow: $input-box-shadow, $input-focus-box-shadow;
      }
      @else {
        box-shadow: $input-focus-box-shadow;
      }
    }
    &.dx-state-disabled {
      opacity: 1 !important;
      background-color: $input-disabled-bg !important;
    }
  }
}

.dx-list {
  &.dx-list-select-decorator-enabled {
    .dx-list-item,
    .dx-list-select-all {
      .dx-checkbox-checked,
      .dx-checkbox-indeterminate {
        .dx-checkbox-icon {
          color: $primary;
        }
      }

      &.dx-state-hover,
      &.dx-state-focused,
      &.dx-list-item-selected {
        .dx-checkbox-icon {
          border: 1px solid $primary !important;
        }
      }
    }
  }

  &:not(.dx-list-select-decorator-enabled) {
    .dx-list-item {
      &.dx-state-hover,
      &.dx-state-focused {
        background-color: $primary !important;
      }

      &.dx-list-item-selected {
        background-color: $primary !important;
        color: $white !important;
      }
    }
  }
}

.border-checkbox-list {
  .dx-list .dx-list-item {
    border: 0px;
    width: 25%;
    float: left;
  }
}

.dx-tag-remove-button {
  &:before,
  &:after {
    background-color: $primary;
  }
}

/* CHECK BOX */
dx-check-box {
  .dx-checkbox-icon {
    border: 1px solid #333 !important;
  }

  &.dx-state-hover,
  &.dx-state-focused,
  &.dx-checkbox-checked {
    .dx-checkbox-icon {
      border: 1px solid $primary !important;
      color: $primary;
    }
  }

  &.dx-state-disabled {
    .dx-checkbox-icon,
    .dx-checkbox-text {
      opacity: 1 !important;
    }
  }
}

/* RADIO BUTTON */
.dx-checkbox-checked .dx-checkbox-icon {
  color: $primary !important;
}

dx-radio-group {
  .dx-widget {
    &.dx-state-disabled {
      opacity: 1;
    }

    .dx-radiobutton {
      .dx-radiobutton-icon {
        &:before {
          border: 1px solid #333 !important;
        }
      }

      &.dx-state-hover,
      &.dx-state-focused,
      &.dx-item-selected {
        .dx-radiobutton-icon {
          &:before {
            border: 1px solid $primary !important;
          }

          .dx-radiobutton-icon-dot {
            background-color: $primary;
          }
        }
      }
    }
  }

  &.dx-widget {
    &.dx-state-disabled {
      opacity: 1;
    }
  }
}

/* DATA GRID */
dx-data-grid {
  /* ICONS */
  .dx-link-icon {
    color: $primary !important;
  }

  .dx-row:not(.dx-edit-row) {
    &:hover {
      .dx-link-icon {
        color: #fff !important;
      }
    }
  }

  .dx-row {
    &.dx-edit-row {
      .dx-editor-cell {
        .dx-widget {
          &.dx-state-disabled {
            opacity: 1 !important;

            .dx-texteditor-input {
              background: $input-disabled-bg !important;
            }
          }
        }
      }
    }
  }
  /* BORDER HIGHLIGHT OVERLAY */
  .dx-datagrid-focus-overlay {
    border: 2px solid $primary;
  }
  /* Apply fixed position for the validation message to show when no initial row is available */
  .dx-invalid-message.dx-overlay {
    position: fixed !important;
  }
}

.modal-to-xxl {
  max-width: 90% !important;
}

.bold {
  font-weight: bold;
}

.common-body-padding {
  padding-top: 36px;
}

.body-pad-2 {
  padding-top: 72px;
}

.body-pad-3 {
  padding-top: 108px;
}

.dx-scheduler-appointment-content {
  white-space: normal;

  & > * {
    white-space: normal;
  }
}

.escalate
{
    background: #ffa5a5 !important;
}

.expedite
{
    background: #feffa6 !important;
}

.escalate-expedite
{
    background: #f881ff !important;
}

.new-ordr-assigned-row
{
    background: #FFCC00 !important;
}

.rts-ccd-notification-assigned-row
{
    background: #FF8040 !important;
}


.form-group.form-group-sm .dx-checkbox {
  width: fit-content;
}

.dx-checkbox-text {
  width: fit-content;
}

.blue-text {
  color: blue !important;
}